# PendingRtpDataFrames Class Reference

`#include <iax2jitter.h>`

Inheritance diagram for PendingRtpDataFrames:

List of all members.

## Public Member Functions

| PendingRtpDataFrames ()
| ~PendingRtpDataFrames ()
void | CloseDown ()
RTP_DataFrame * | GetLastFrame ()
void | AddNewFrame (RTP_DataFrame *newFrame)

## Protected Member Functions

RTP_DataFrame * | InternalGetLastFrame ()

## Protected Attributes

PSyncPoint | activate
PMutex | mutex
PBoolean | keepGoing

## Detailed Description

A descendant of RTP_DataFrameList that does automatic initialisation

## Constructor & Destructor Documentation

PendingRtpDataFrames::PendingRtpDataFrames | ( |  | ) |

Constructor, which turns off deletion on removing an item

PendingRtpDataFrames::~PendingRtpDataFrames | ( |  | ) |

Destructor

## Member Function Documentation

void PendingRtpDataFrames::CloseDown | ( |  | ) |

Close this structrue down, so it cannot run again. This method is only called immediately prior to destruction.

RTP_DataFrame* PendingRtpDataFrames::GetLastFrame | ( |  | ) |

Get pointer to last frame in the list. Remove this frame from the list. This is a blocking call, and will wait until a frame is received

void PendingRtpDataFrames::AddNewFrame | ( | RTP_DataFrame * | newFrame | ) |

Have received a new frame from the frame translater

RTP_DataFrame* PendingRtpDataFrames::InternalGetLastFrame | ( |  | ) | `[protected]`

Get pointer to last frame in the list. Remove this frame from the list. This is the implementation of GetLastFrame, and does not block

## Member Data Documentation

PSyncPoint PendingRtpDataFrames::activate `[protected]`

Flag to activate the thread waiting on data

PMutex PendingRtpDataFrames::mutex `[protected]`

Local variable which protects access.

PBoolean PendingRtpDataFrames::keepGoing `[protected]`

Flag to indicate this class is running and operational

The documentation for this class was generated from the following file:

- iax2jitter.h